HVR-1300 HVR-3000 HVR-4000 broken in kernel

Bug #439163 reported by DFdario on 2009-09-30
254
This bug affects 40 people
Affects Status Importance Assigned to Milestone
MythTV
Invalid
Unknown
Mythbuntu
High
Unassigned
Debian
Fix Released
Unknown
linux (Ubuntu)
High
Unassigned

Bug Description

This is a continuation of bug #436564. Please refer to that for relevant dmesg'.
The capture card I have is the Hauppauge HVR-1300.
The card is now correctly recognized as DVB-T but channel scan fails with message "Timed out, no signal" at each channel is scanned.
The command scan <location> > channels.conf ends correcly and file channels.conf is feeded with all tunable channels.
I tried to import such channels.conf with the same result.
Increasing the signal and channel timeout in the DVB settings (now up to 1000 but I planned to increase to ignore) doesnt solve the problem.
Tonight I will try what Marc suggested - mythtv-setup --verbose channelscan,siparser,channel,record - then I will report the log.

DFdario (dfdario) wrote :

After set timeouts signal to 60,000 and tuning to 65,000 the result is the same as reported above.

Attached is mythbacked.log

Steve Goodey (stevegoodey) wrote :

Tried as suggested, mythtv-setup --verbose channelscan,siparser,channel,record > test.txt but didn't get much.

 * Stopping MythTV server: mythbackend
   ...done.
 * Restarting MythTV server: mythbackend
No /usr/bin/mythbackend found running; none killed.
   ...done.
test.txt (END)

I suspect I've done something wrong.

What I have noticed is that during the scan process the signal/noise meter is pegged at 98% all the time. Putting the card in a mythbuntu 8.04 setup which I'm currently running signal/noise is at 0% unless locked to a station.

Regards, Steve.

DFdario (dfdario) wrote :

Log kept by log grabber are available at http://mythbuntu.pastebin.com/f761e3c93

MarcRandolph (mrand) wrote :

Steve, you captured the output of mythtv-setup, which is actually a wrapper that automatically stops and starts the backend. Not sure where the output went though... if one or both of you could try:

mythbackend stop

then do

mythtv-setup.real --verbose channelscan,siparser,channel,record,extra > mythtv-setup.log

maybe we will get some useful info yet!

MarcRandolph (mrand) wrote :

Oops, pasted the wrong thing.

sudo /etc/init.d/mythtv-backend stop

and then

sudo mythtv-setup.real --verbose channelscan,siparser,channel,record,extra > mythtv-setup.log

replace "stop" with "restart" to relaunch the backend. Sorry for the bug spam.

DFdario (dfdario) wrote :

Attached is mine

Steve Goodey (stevegoodey) wrote :

Ok, here it is.

Steve.

Steve Goodey (stevegoodey) wrote :

Whoops.

MarcRandolph (mrand) wrote :

Thanks for the logs. Forwarded upstream - we'll see what happens! By chance, someone else has also reported a similar issue.

Changed in mythbuntu:
status: New → Confirmed
Changed in mythtv:
status: Unknown → New
kalibur (kaliburx) wrote :

I have the same problem with the same DVB tuner on alpha 6, here are my two cents.
1. The tuner works fine on mythbuntu 9.04
2. On mythbuntu 9.10 the tuner works fine with kaffeine. (be sure to setup mythtv to use the card on demand).
3. The 9.10 mythtv setup existing transports screen is black whilst the one on my 9.04 has about six entries similar to the line below:

 QAM-16 505833330 Hz netid 9018 tid 4100 (DVB-T)

4. On 9.04 mythtv-backend setup input connections my tuner is
    [DVB:0] (DVBInput->XMLTV
    On 9.10 mythtv-backend setup input connection my tuner is
    [DVB:/dev/dvb/adapter0/frontend0](DVBInput)->XMLTV

Am thinking of coping some configuration files from my 9.04 installation to 9.10 to see what happens, problem is am a lamar and I dont know what files and where to locate them.

Changed in mythtv:
status: New → Confirmed
Steve Goodey (stevegoodey) wrote :

I see that remote bug mythtv-bugs #7215 is marked as a duplicate of 7232 which has a patch that fixes the problem. Any idea when that will reach trunk?

Thanks Steve

Mario Limonciello (superm1) wrote :

Have to keep an eye on http://svn.mythtv.org/trac/ticket/7232 to determine when. We're pulling in new builds pretty frequently though, especially knowing that 0.22 is gonna branch off soon...

Changed in mythtv:
status: Confirmed → Unknown
MarcRandolph (mrand) wrote :

Should be fixed in [22254]. Look for it after tonights nightly build.

Changed in mythbuntu:
status: Confirmed → Fix Committed
Changed in mythtv:
status: Unknown → Fix Released
MarcRandolph (mrand) wrote :

Fix was pushed to official karmic package.

Changed in mythbuntu:
status: Fix Committed → Fix Released
DFdario (dfdario) wrote :

Sorry to revive this bug but I am still stumbled upon this problem.
The release I am running and reported by the command apt-cache policy mythtv-backend
mythtv-backend:
  Installed: 0.22.0~trunk22350-0ubuntu0~mythbuntu3
  Candidate: 0.22.0~trunk22350-0ubuntu0~mythbuntu3
  Table version:
 *** 0.22.0~trunk22350-0ubuntu0~mythbuntu3 0
        500 http://ppa.launchpad.net karmic/main Packages
        100 /var/lib/dpkg/status
     0.22.0~trunk22304-0ubuntu1 0
        500 http://it.archive.ubuntu.com karmic/multiverse Packages

Attached are also dmesg and debug file kept by the command: sudo mythtv-setup.real --verbose channelscan,siparser,channel,record,extra > mythtv-setup.log

DFdario (dfdario) wrote :

dmesg file

DFdario (dfdario) wrote :

Forgot to say that release I installed is the daily build as of 10/10/2009 64 bit version.

DFdario (dfdario) wrote :

Forgot to say that release I installed is the daily build as of 10/10/2009 64 bits that after a lot of pain I installed on my 945GCLF2 2GB RAM.

DFdario (dfdario) wrote :

Ops, the patch it shouldn't be available yet should it?

MarcRandolph (mrand) wrote :

Yes, the patch should be in the build that you are using.
Could you please try extending the timeouts and report your results back? I don't know if it is possible to use unlimited timeout, but if so, please try that.

Changed in mythbuntu:
status: Fix Released → Confirmed
DFdario (dfdario) wrote :

The "sudo mythtv-setup.real --verbose channelscan,siparser,channel,record,extra" produced the output annexed

Settings are:
Signal timeout: 10000 msec
Tuning timeout: 10000 msec
DVB tuning delay: 100 msec
On this machine Mythbuntu 9.04 was up and running until yesterday.

I stopped channel scan on channel 26 because major transports are on channels 22 and 26.

DFdario (dfdario) wrote :

Making a single frequency scan the log reports

MarcRandolph (mrand) on 2009-10-11
Changed in mythtv:
status: Fix Released → Unknown
Changed in mythtv:
status: Unknown → New
Gunni (fgunni) wrote :

I have exactly the same problems. I had channels in jaunty, upgraded to karmic.
In karmic: dvb stopped working (so not only scanning but also recording and watching tv).
I deleted the dvb card, added it again, and then i saw scanning does not work.

I tried nightly builds and karmic builds, event tried compiling latest hg repo from linuxtv (first i thought could be a module problem).
Running:
karmic 64it,
mythtv nightly (actual build: 0.22.0~trunk22354-0ubuntu0~mythbuntu3)
Hauppauge HVR-1300 (cx23880)

Dont know if this is of any use, but when running dvb in kaffeine i get a lot of following lines in /var/log/messages:
......
[ 120.499153] cx88[0]: irq aud [0x1001] dn_risci1* dn_sync*
[ 120.499166] cx88[0]: irq aud [0x1001] dn_risci1* dn_sync*
[ 120.499173] cx88[0]/1: IRQ loop detected, disabling interrupts

Gunni (fgunni) wrote :

I just checked my dpkg.log. Last version i ran on jaunty was:

2009-10-06 22:37:39 status installed mythtv-backend 0.22.0~trunk22260-0ubuntu0~mythbuntu1

Is this version available somewhere for karmic, to check if this works?

Mario Limonciello (superm1) wrote :

Here's the closest you'll get to that:
https://launchpad.net/ubuntu/+source/mythtv/0.22.0~trunk22242-0ubuntu1

Click your architecture and then grab the debs you need.

Gunni (fgunni) wrote :

Ok, i installed the version Mario pointed me to, but still no channel scan.
I do a reboot now to be sure.

Gunni (fgunni) wrote :

Still no luck, no lock, timeout, no sender with build 22242.
As stated above in jaunty with 22260 mythbackend was running (ok i dont know about scanning, as i did not do a channel scan with 22260).

Good point. Just because you were on 22260 when you left 9.04 doesn't
mean channel scanning was working then. Did you even channel scan with
0.22, or was it on 0.21 that was then upgraded?

I do not remember if it was in 0.21, or if i did a scan again in 0.22.
I think i once rescanned with 0.22, but dont knock me down on that.
Now searching for a database backup ( i know i did one some time ago, hope i did not delete it in some cleanup session)

Gunni (fgunni) wrote :

I revived my channels and dvb conf with a bakcup, but still watching live-tv or channel scan does not work.

Gunni (fgunni) wrote :

I opened mythbackend with verbose output, startet tv on frontend for a few seconds (well not really started, black screen), and ended. Complete log attached.

May this has to do with this:

2009-10-11 21:18:26.325 MythEvent: SIGNAL 9
2009-10-11 21:18:26.325 Got data on select
2009-10-11 21:18:26.325 MythSocket(db6570:39): write -> 39 456 BACKEND_MESSAGE[]:[]SIGNAL 9[]:[]Signal Lock[]:[]slock 0 1 0 1 3000 1 1[]:[]Signal Power[]:[]signal 52428 0 0 65535 3000 1 1[]:[]Seen PAT[]:[]seen_pat 0 1 0 1 0 1 1[]:[]Matching PAT[]:[]matching_pat 0 1 0 1 0 1 1[]:[]Seen PMT[]:[]seen_pmt 0 1 0 1 0 1 1[]:[]Matching PMT[]:[]matching_pmt 0 1 0 1 0 1 1[]:[]Signal To Noise[]:[]snr 32768 0 0 65535 0 1 1[]:[]Bit Error Rate[]:[]ber 16383 65535 0 65535 0 0 1[]:[]Uncorrected Blocks[]:[]ucb 0 65535 0 65535 0 0 1
2009-10-11 21:18:26.326 MythSocket(db6570:39): writeBlock(0x140307588977784, 464)
2009-10-11 21:18:26.326 Processing ready reads
2009-10-11 21:18:26.326 MythSocketThread: Total read time: 0ms, on sockets
2009-10-11 21:18:26.326 Reacquired ready read lock
2009-10-11 21:18:26.326 ProcessAddRemoveQueues
2009-10-11 21:18:26.326 Construct FD_SET
2009-10-11 21:18:26.326 Waiting on select..
2009-10-11 21:18:26.376 SM(/dev/dvb/adapter0/frontend0)::AddFlags: Seen() Match() Wait(Sig,)
2009-10-11 21:18:26.384 MythEvent: SIGNAL 9
....

Gunni (fgunni) wrote :

Additional comment, from me as amateur:

Seems like the backend has no access to the dvb card, or does not know how to handle it.
Kaffeine works fine, so dvb is working, but not for myth.
As i tested even an older version, that did run on jaunty, i think its something different in karmic that prevents mythbackend from accessing the dvb device.
Anyways updating the cx88 module with mercurial version from linuxtv did not help, so i think it is not the module, too.
Well, many presumptions here from me, but thats all i can do because of missing knowledge.

Gunni (fgunni) wrote :

I updated again (Now 22373), and did recompile the cx88 modules with reverting two patches.
Now i get recordings. Can definitly check when i am at home again. Here is what i did:
http://svn.mythtv.org/trac/ticket/7292#comment:4

Gunni (fgunni) wrote :

I now got no response from my server, so maybe did something wrong :)
Be careful if you try that :)

Gunni (fgunni) wrote :

Ok, i got picture in mythfrontend now.
You wont believe me, why i did not get any response on remote:
The CPU cooler broke (this damn little pin that holds the cooler) Good is, that i had an old board here to exchange it.
So after watching heroes, i will check which patch is exactly responsible.

MarcRandolph (mrand) on 2009-10-12
description: updated
Changed in mythbuntu:
importance: Undecided → High
Gunni (fgunni) wrote :

So, i found the part of the patch that is responsible for the bug:

http://<email address hidden>/msg02195.html

Only the part in cx88-dvb.c
Attention, this is not a patch, THIS PATCH has to be REVERTED:

snip----------

diff -r 576096447a45 -r d2eedb425718 linux/drivers/media/video/cx88/cx88-dvb.c
--- a/linux/drivers/media/video/cx88/cx88-dvb.c Thu Dec 18 07:28:18 2008 -0200
+++ b/linux/drivers/media/video/cx88/cx88-dvb.c Thu Dec 18 07:28:35 2008 -0200
@@ -1135,40 +1135,44 @@ static int cx8802_dvb_advise_acquire(str
                 * on the bus. Take the bus from the cx23416 and enable the
                 * cx22702 demod
                 */
- cx_set(MO_GP0_IO, 0x00000080); /* cx22702 out of reset and
enable */
+ /* Toggle reset on cx22702 leaving i2c active */
+ cx_set(MO_GP0_IO, 0x00000080);
+ udelay(1000);
+ cx_clear(MO_GP0_IO, 0x00000080);
+ udelay(50);
+ cx_set(MO_GP0_IO, 0x00000080);
+ udelay(1000);
+ /* enable the cx22702 pins */
                cx_clear(MO_GP0_IO, 0x00000004);
                udelay(1000);
                break;
---------snip

Shurik (sacha-hemmail) wrote :

All right, but how to apply this non-patch? I have a similar proble as described above with my HVR-4000.
Any instructions somewhere?

DFdario (dfdario) wrote :

If all stated is true I can't figure why by executing the scan command and outputting the result to channels.conf it finds all channels and if I try to import the channels.conf just produced I got the channel time out.
For my point of view the bug should resides in channel scan and not on cx88.dvb or either but I leave programmers to decide that.
Thank you for the effort guys

Shurik (sacha-hemmail) wrote :

For myself w-scan does not find any DVB-T channels while scan works well.

Gunni (fgunni) wrote :

@Shurik: Sorry that i cant really help on that, cause it can be different for that card, and i dont know what i am doing :)
ddafre: As i dont know what i did by reverting that patch, i cant comment on that. I leave that to the programmers, too

Seems to be a odd timing problem, as for me it worked with some programs, and did not with others:

kaffeine 0.8.7 everything fine
kafffeine 1.0pre2 watching TV works, for switching channels you have to: switch channel (picture stalls), end kaffeine. start kaffeine, channel is set to new channel
mythtv: No TV, no scanning (as mythbackend may have tried to switch the channel already, that may be the reason for nothing working)

Shurik (sacha-hemmail) wrote :

All right, no problem. Will wait if programmers fix the issue. Anyway I have an impression that something wrong with the API. Why otherwise scan works while w-scan not?

Changed in mythtv:
status: New → Invalid
DFdario (dfdario) wrote :

Just to have more information about I tried to install kernel 2.6.32-rc5 on a not yet configure mythbuntu 9.04 (jaunty). After I got it working I started the configuration process and... surprise! Channel scan doesn't work even on Jaunty!
As an add also the IR remote stopped working as I already reported before as a new bug.
Hope It will help.

DFdario (dfdario) wrote :

mythtv-setup --verbose channelscan,siparser,channel,record
reports

Gunni (fgunni) wrote :

As it seems like a kernel issue, and the patch is unlikely already in the kernel, you have to patch it yourself for a fast solution.

DFdario (dfdario) wrote :

My present situation is:
Since I have three D945GCLF2 one of them already configured and running with windows and GBPVR + remote Media MVP that is located in one house. I decided to convert my home windows GBPVR with the more performant Mythbuntu 9.04.
Unfortunately Kernel doesn't permit to correctly manage s-video PAL output (Backedup with VGA to SCART converter on one system) one pathc is already present on 2.6.32 but is incomplete whiile channel scan and lirc are no more working on 2.6.32.
Since when all my three planned backend will be approved by my wife (WAF compliant) I will not be able to do nothing on them I decided to step on with Mythbuntu 9.10 but it seems it will take longer than the expected.
I think present GBPVR + 2 Media MVP are currently running will work for long time then.
I will patiently wait.

dmb (darron-kewl) wrote :

Hi.
With regard to this fault on the HVR-1300 then I have had
a few patches available since Nov. 2008.
An updated repo from June 2009 is available here:
http://hg.kewl.org/v4l-dvb-hvr-1300/
In theory this repo should work? If anyone can test that
would be great. I do remember seeing the DMA fault before but
not since I last worked on the HVR-1300 almost a year
ago. Further with regard to the cx88_alsa issue then
I have some tests in http://hg.kewl.org/archive/v4l-dvb-dev/
but they never got any further than the test stage.
Good luck, bye!
darron

DFdario (dfdario) wrote :

Thank you darron
I will give a shot tonight and tell you the results (I hope to because I am a newbie)

dmb (darron-kewl) wrote :

Hi. Don't worry if you don't quite work out how to get this working
since I will definitely be working on this with one other volunteer
on Saturday. Once we have resolved this properly I will update
this log and give clear instructions as to how to fix this and also
the IR receiver which apparently is also failing due to the missing
patches?
Bye.

dmb (darron-kewl) wrote :

Hi

In order to resolve this issue for you a few older patches and the change noted
by Gunni above is now available here:

http://hg.kewl.org/v4l-dvb-fixes/

I will try and give a brief outline of how you install this but please get back to
me if anything is needs better clarification else fixing.

For the record, it would appear that applications using the legacy API were not
affected by this but those which now use the S2API have had fault. A wild guess
is that previously the reset operation which succeeded now fails due to some
timing issue. It's hard to say but the diagnosis look reasonable.

On the HVR-1300 I have verified that MPEG encoding, analogue input and DVB-T
all work with the changes. I have not tested analogue TV nor FM radio as yet.
In the latter above there is also issue with cx88_alsa but that's another story...

I have at hand an HVR-4000 which this will also affect but have no chance to
test this since it's in a reasonably stable and working mythtv setup. I will only
test that later in the week.

Anyhow, now the details:

To install this repo on ubuntu you would do something like this.

1. install build-essential mercurial
2. hg clone http://hg.kewl.org/v4l-dvb-fixes/
3. rm -Rf /lib/modules/2.6.28-11-generic/kernel/drivers/media/
4. cd v4l-dvb-fixes
5. make
6. make install
7. reboot

This is a basic outline and I said above I can expand on it where you have
any difficulty.

Good luck.

Gunni (fgunni) wrote :

Some additional/corected info on installation:

1. sudo apt-get install build-essential mercurial linux-headers
2. hg clone http://hg.kewl.org/v4l-dvb-fixes/
3. cd v4l-dvb-fixes
4. make menuconfig
 -> Multimedia Support -> DVB/ATSC adapters -> disable FireDTV and FloppyDTV
This is nesecary for a build, as linux-headers is missing some files needed for this DVB card.
5. make
6. sudo make install
7. reboot

After a minor kernel update you may have to run "sudo make install" from the directory again.
On a major kernel update you have to go to the directory again, run "make distclean" and start from step 5.

Shurik (sacha-hemmail) wrote :

HVR-4000 is not working either, I am struggling with it quite a while now. So I hope the solution described is also working for this card. I will test it soon.

Gunni (fgunni) wrote :

As dmb stated he will look into the HVR 4000 problem next week. He is running this card in his production mythtv-backend, so he has the hardware to test, but as it is his production server, he needs some time for it.
Maybe next week he got some patches ready for this card.

dmb (darron-kewl) wrote :

Hi.
I am in not a great rush to inspect the HVR-4000, however, the fix
for DVB-T tuning on the HVR1300 by Gunni has also been applied to affect
the HVR3000/4000. If the problem exists on those cards also and it's
then please go ahead right now and test the repo and please success or
failure here. In the case of failure then the fault is unrelated.
Bye.

Shurik (sacha-hemmail) wrote :

Well, I tested the repo. DVB-T works after that but DVB-S has the same "time out problem" as DVB-T had before applying your instructions. The revert situation. I need to say that HVR-4000 is very popular card here in Europe especially among Linux enthusiast. It is a pity if this great card will have a low priority for developers.
Please instruct what should I do if you need more input from testing.

KR

dmb (darron-kewl) wrote :

Hi. Thanks for testing this.
perform hg pull -u for the fixes repo.
now we will reset dvb-t demod when entering DVB-S.
tell me if this works.
thx

DFdario (dfdario) wrote :

I tried to patch a fresh install of mythbuntu karmic 64 rc by following almost all your suggestions
First I had to insert the repository
1. deb http://archive.ubuntu.com/ubuntu/ karmic universe main restricted multiverse [because build-essential were not found]
2. sudo apt-get install build-essential mercurial [worked with no error]
3. sudo apt-get install linux-headers [asked for the version to install then I didn't installed - I assumed already installed]
4. hg clone http://hg.kewl.org/v4l-dvb-fixes/ [worked ok]
5. rm -Rf /lib/modules/2.6.28-11-generic/kernel/drivers/media/ [worked ok]
6. cd v4l-dvb-fixes [worked ok]
7. make [a lot of errors starting with:
 /home/dario/v4l-dvb-fixes/v4l/et61x251_core.c: In function 'et61x251_ioctl_v4l2':
/home/dario/v4l-dvb-fixes/v4l/et61x251_core.c:2493: warning: the frame size of 1408 bytes is larger than 1024 bytes
and following with
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:21:17: error: dma.h: No such file or directory
...
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:37: warning: 'struct hpsb_iso' declared inside parameter list
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:37: warning: its scope is only this definition or declaration, which is probably not what you want
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c: In function 'rawiso_activity_cb':
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:53: error: dereferencing pointer to incomplete type
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:54: error: implicit declaration of function 'hpsb_iso_n_ready'
/home/dario/v4l-dvb-fixes/v4l/firedtv-1394.c:61: error: dereferencing pointer to incomplete type

may be I have to learn a lot more...
Sorry guys for bothering you with my problems
Regarding the analog part of HVR-1300 I don't need it anymore because of all TV channels are DVB-T here.

DFdario (dfdario) wrote :

sorry
rm -Rf /lib/modules/2.6.28-11-generic/kernel/drivers/media/
has been sudo rm -Rf /lib/modules/2.6.31-14-generic/kernel/drivers/media/

Gunni (fgunni) wrote :

ddafre: Seems to me like linux headers are missing. So in my explanation that step is wrong, as you have to explicitly install the headers to your kernel.

Try "uname -a" you can then see something like "Linux desktop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux"

If it is "generic" like on my machine try "sudo apt-get install linux-headers-generic"
Then start from step 6.

Gunni (fgunni) wrote :

Oh, and dont forget:

4. make menuconfig
 -> Multimedia Support -> DVB/ATSC adapters -> disable FireDTV and FloppyDTV
This is nesecary for a build, as linux-headers is missing some files needed for this DVB card.

DFdario (dfdario) wrote :

Thanks to a BIG help via chat finally I got it working
I installed from scratch Mythbuntu 9.10 rc 64bits on a system using D945GCLF2 nothing has configured before applying the patch.
Steps have done to gain it to work are
1. add repository deb http://archive.ubuntu.com/ubuntu/ karmic universe main restricted multiverse
2. sudo apt-get install build-essential mercurial linux-headers-generic libncurses5-dev
3. hg clone http://hg.kewl.org/v4l-dvb-fixes/
4. cd v4l-dvb-fixes
5. make menuconfig
# -> Multimedia Support -> DVB/ATSC adapters -> disable FireDTV and FloppyDTV
6. make
7. sudo make install
8. reboot

Thank again for the support
Dario

dmb (darron-kewl) wrote :

hi

Thanks Dario for confirming that this works on the hvr1300.

Now we just need to see if this is also a solution for the hvr4000/3000.

Some further investigation as to the reason for this will now be
in progress. Further to the wild guess above about a timing
issue there may also be API difference in effect. The likely
reason that the demod was failing when reset is that the reset
flushed some cached state within the device. With the legacy
API the reset appeared to be not a problem since all data was
probably written at once but it is evident now that perhaps
only partial data is written when retuning with the S2API.

I will look into this. It could also be related to
where the advise_acquire method is invoked perhaps at
the wrong time, who knows.

This is all conjecture, but given here since if anyone who is
partial to investigate this has something to work on.

Cya!

dmb (darron-kewl) wrote :

P.S.
Some other investigation and not related to the fault observed here needs
persuing with the hvr1300 IR receiver. Perhaps a new bug needs creating, but
observation so far is that ir-kbd-i2c is not probing correctly unless i2c_scan
is enabled.
bye

DFdario (dfdario) wrote :

I don't know it if the behaviour is strictly related to this but yesterday night I made some tests. One of them got the system blocked. While watching TV I changed channels 3-4 times then I tried to watch back into the circular buffer but while rewinding the system got blocked.
When I will be back home I will investigate better.

dmb (darron-kewl) wrote :

Hi.
When watching TV mythtv will record to disk at all times you
are not watching what directly comes out of the card itself
but a slightly delayed copy.
For this fault to related it would mean that you failed to
change channel and not failed when viewing the recorded
stream, mythtv should pop up a failed tuning message
in the former. With regard to rewinding, in the past i have seen
fault in mythtv when rewinding before the start of the
recording somehow. that was sometime ago and may or
may not still exist as a problem but I mention in case.
I am not the ideal person to query about this in any case
since I tend to only watch pre-recorded tv on myth and
never use it live.
cya

DFdario (dfdario) wrote :

I understand what you say and probably the reason of the blocking condition was the rewind before the start recording point. That is not a big problem for me even if I am going to use myth for both live and recorded programs.

DFdario (dfdario) wrote :

While trying to apply the patch to kernel 2.6.32-rc5 I downloaded from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32-rc5/ I got the error:
  CC [M] /home/dario/v4l-dvb-fixes/v4l/dvbdev.o
/home/dario/v4l-dvb-fixes/v4l/dvbdev.c: In function 'init_dvbdev':
/home/dario/v4l-dvb-fixes/v4l/dvbdev.c:516: error: 'struct class' has no member named 'nodename'
make[3]: *** [/home/dario/v4l-dvb-fixes/v4l/dvbdev.o] Error 1
make[2]: *** [_module_/home/dario/v4l-dvb-fixes/v4l] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.32-020632rc5-generic'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/home/dario/v4l-dvb-fixes/v4l'
make: *** [all] Error 2

This is only for information

Shurik (sacha-hemmail) wrote :

I have done a quick test on HVR-4000 using fix described above, it was successful, but I used debian lenny on quite old kernel with Myth 0.22 svn.

dmb (darron-kewl) wrote :

hi
Thank you Shurik this is good news.
Cheers. bye.

DFdario (dfdario) wrote :

Bad news from here
After a reinstall I applied the patches as of #61 then I run system update.
After the reboot I found no audio were available and gstreamer says
"GStreamer was unable to detect any sound devices. Some sound system specific GStreamer packages may be missing. It may also be a permissions problem." while video is perfect.

Gunni (fgunni) wrote :

ddafre: Maybe the videocard grabbed your first sound device. Also Darron did some changes in the sound part of the HVR driver, here everything works fine.
Talking about this here may be too much as that goes to far away from the bug. You can contact me via icq again if you like.

Shurik (sacha-hemmail) wrote :

I have also a permission issues when reported success with the fix #61 on HVR-4000. I did not want to mention it thinking that it was beyond the scope of this bug.

DFdario (dfdario) wrote :

Forgot to say that audio is not present even while watching TV.
dmesg attached

DFdario (dfdario) wrote :

OK as usual I was wrong when I said wasn't working.
Applying the patch on a fresh install all work fine.
The reason of the previous fault could be I applied the patch and, without doing a reboot, I made the update.
Sorry guys.

Shurik (sacha-hemmail) wrote :

All fine, the patch is OK. The question is when it will be integrated in the kernel? I plan switch back from Debian/Myth 0.22 svn to Mythbuntu 9.10 when it is released. Should I spend days to make it work?

dmb (darron-kewl) wrote :

hi
i will personally confirm this against with the hvr4000 is a few days but
 for me there is no great rush, plus, i have other things to do so it's not a high
priority. as far as the kernel is concerned, the best bet is 2.26.32 or later.
if you wan't success you will need to use the patches in the meantime.
bye.

Shurik (sacha-hemmail) wrote :

No problem for me but at least to write some words on DVB-Wiki about this issue. This will avoid many unnecessary time-spending answering the same question for man y people.

MarcRandolph (mrand) wrote :

dmb: any chance for this to make it upstream 2.26.32? That would guarantee it will be in the next Ubuntu release in the spring (10.04).

Changed in mythbuntu:
status: Confirmed → Triaged
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Triaged
summary: - Channel scan timed out
+ HVR-1300 HVR-3000 HVR-4000 broken in kernel
dmb (darron-kewl) wrote :

lo

Testing and patch cleanup will be completed by Nov. 8th.

The patches will then be presented elsewhere. How long
they take to arrive in the kernel can only be guesswork.

Until that time a few things will be tested:

1. confirmation that dvb-t retuning on the hvr4000
is fixed.

2. confirmation thatt IR attachment on the hvr1300
with kernel >= 2.6.30 is fixed.

Since we are only two volunteers working on this in our spare
time available this weekend and the one after nothing
can be done sooner.

Bye

DFdario (dfdario) wrote :

Thank you
Tell me if you need help in testing 2.6.32 at my side.

DFdario (dfdario) wrote :

In te past two days I made some tests comparison of kernel 2.6.31 patched (mythbuntu 9.10) toward kernel 2.6.28 (mythbuntu 9.04).
The result is that the patched 2.6.31 results worst in receiving DVB-T transmissions with respect to 2.6.28 specially when the signal strength is weak.

Steffen (mz-88) wrote :

Got the ame problem, discribed here in many ways.
9.04 everything works fine with my HVR-1300.

Updating to 9.10, still working fine, but after several reboots my card seems broken, couldn't tune frequences, not even with "scan" and live tv doesn't work at all.

Im trying to test the patch, when im at home again and at my Mythpc.

Karmic 9.10 Weekly build 32bit Release

Greetings

andik (a-kienleitner) wrote :

Thank you.

It works also with the HVR3000. :-)

Great work.

dmb (darron-kewl) wrote :

Hi.

Thanks for all your reports.

It should be appreciated that these fixes in no way affect the tuner
module and should have no impact on channel reception. If you find
a difference then it can either be a transient one else a bug elsewhere
although I cannot see where that could be.

I have tidied up the fixes and now places them here:
http://hg.kewl.org/v4l-dvb-20091103/

The list of fixes are as follows which include two beyond the scope
of this bug:

1. IR detector initialised correctly for kernel >= 2.6.30. A new detection
routine in later kernels failed to detect the IR CPU, this has been rectified.

2. DVB-T demod reset changes. The changes are as detailed in this
bug to allow retuning of dvb-t to now complete successfully.

3. Analog audio routing has been corrected and cx88_alsa mostly
fixed. What this means is is that you can now properly use the FM
radio on the hvr1300 and if you are keen perform video/audio capture
using /dev/video0 and cx88_alsa.

For 1 above, modprobe ir-kbd-i2c hauppauge=1
For 2 above, test with kaffeine-1.0-pre2 or above.
For 3 above, refer to:
http://www.linuxtv.org/wiki/index.php/Hauppauge_WinTV-HVR-4000
(FM radio receiver and Audio/Analog capture)

In the latter case you may find the audio input level
to be too high. There is a patchset I have to deal with this
issue but it is not included here.

This repo is under test and potentially will be submitted elsewhere
later this week.

Bye

cosch (cosch) wrote :

Hi,

i had the same problem using the HVR3000 - in jaunty everything worked and after upgrading to karmic i saw the same defects (in myth no scanning possible, no live tv ).

After applying the described fix, i can confirm it also solves the problem for hvr3000 - thx a lot!

However - i can also confirm comment #81. The quality is poor compared to jaunty. I am not sure what is the problem here, if it is part of the patch or may be some seetings in make menuconfig or something else.

I am using the same hardware(antenna) on the same physical location - just upgraded to karmic - so it must be some software problem is guess.

Any ideas?
Do the fixes need a double check?

thx,
/cosch

I've reported a similar problem at http://svn.mythtv.org/trac/ticket/7471.

I've got a HVR-4000 and in mythtv I can't lock onto some transports with DVB-S on Astra-19.2E. Some work (10743750 H DVB-S (QPSK) - 22000000 5/6) and some don't (12544750 H DVB-S (QPSK) - 22000000 5/6).
I've got no problems watching the corresponding channels with kaffeine or via szap.

I already had the same problem on Jaunty in mythtv. The driver from http://hg.kewl.org/v4l-dvb-20091103/ does not make anything better or worse for me.

dmb (darron-kewl) wrote :

hi.
re: DVB-T poor quality,
can you describe this more clearly, are there artifacts dropped
frames etc? is there a difference between using
http://hg.kewl.org/v4l-dvb-20091103/ and
http://hg.kewl.org/archive/v4l-dvb-fixes/

re: DVB-S tuning.
you need to enable the demod debugging option and e-mail
me resultant log at darron At kewl org. the option required
is cx24116 debug=1

sometime today or tomorrow i will be rebuilding my mythtv
box and will use this latest ubuntu. it doesn't sound
particularly promising but at least I may be able to
appreciate some of these faults better we shall see...

cya

I just used the http://hg.kewl.org/archive/v4l-dvb-fixes/ on a real system
while I have compiled, installed and built a deb install for the
http://hg.kewl.org/archive/v4l-dvb-fixes/ on a Vboxed system running myth
Karmic but after that I never installed on the system I have at home which
is now running jaunty.

Tonight I will reinstall all for you and test in the way you suggested.

What I have noted after I tried myth 8.04, 9.04 and 9.10 is that now 9.04
stutter a bit while never was before.
Regarding the poor quality I meant that often are present some artefact and
sometime glitches on audio path while there were no stuttering.
At home I have two different TV plugs one of them has bad quality signal.

One word about karmic: the problems I had after I installed the distribution
are so many that I decided to revert to Jaunty.
Note that I have 2 PC at work and 4 at home most of them running windows and
Ubuntu.
Grub is not booting if you decide to have it booting in a partition (3 PC
are having this problem all using OSL2000 as boot manager).
Myth Karmic have no support for PAL on intel 945 (also Jaunty indeed) have
to be patched and finally if you decide to switch off by pushing the power
button it asks for a password (I have no keyboard attached to my HTPC!)...
Anyway I appreciate what you are doing and I will try to support you as much
as possible.

I hope to post the result of tests tomorrow

Cheers

Dario

2009/11/4 dmb <email address hidden>

> hi.
> re: DVB-T poor quality,
> can you describe this more clearly, are there artifacts dropped
> frames etc? is there a difference between using
> http://hg.kewl.org/v4l-dvb-20091103/ and
> http://hg.kewl.org/archive/v4l-dvb-fixes/
>
> re: DVB-S tuning.
> you need to enable the demod debugging option and e-mail
> me resultant log at darron At kewl org. the option required
> is cx24116 debug=1
>
> sometime today or tomorrow i will be rebuilding my mythtv
> box and will use this latest ubuntu. it doesn't sound
> particularly promising but at least I may be able to
> appreciate some of these faults better we shall see...
>
> cya
>
> --
> HVR-1300 HVR-3000 HVR-4000 broken in kernel
> https://bugs.launchpad.net/bugs/439163
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Mythbuntu, Ubuntu derivative focused upon MythTV: Triaged
> Status in MythTV: Invalid
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This is a continuation of bug #436564. Please refer to that for relevant
> dmesg'.
> The capture card I have is the Hauppauge HVR-1300.
> The card is now correctly recognized as DVB-T but channel scan fails with
> message "Timed out, no signal" at each channel is scanned.
> The command scan <location> > channels.conf ends correcly and file
> channels.conf is feeded with all tunable channels.
> I tried to import such channels.conf with the same result.
> Increasing the signal and channel timeout in the DVB settings (now up to
> 1000 but I planned to increase to ignore) doesnt solve the problem.
> Tonight I will try what Marc suggested - mythtv-setup --verbose
> channelscan,siparser,channel,record - then I will report the log.
>
>
>

cosch (cosch) wrote :

Hi,

@dmb:
with "poor quality" in mean artifacts, dropped frames and stumbling sound. This happens on channels with weak signal strength (~ 30% only). Sometime Myth is not able to play those channels at all. As i think the surrounding conditions (antenna position, signal strength etc) are still the same, it looks to me as jauntys kernel could handle weak signal conditions better.

Anyhow i tries bot repositories ( http://hg.kewl.org/v4l-dvb-20091103/ and http://hg.kewl.org/archive/v4l-dvb-fixes/ ). The results are the same.

Still thanks a lot for getting the card to work again. I will now check if a better antenna helps me out here.

br,
/cosch

DFdario (dfdario) wrote :

Sorry due to problems arisen I rescheduled tests for tomorrow

DFdario (dfdario) wrote :

Hi dmb
Good news from here!
Now after path 20091103 was applied to 9.10 the video quality is very close to that it was in 9.04.

what I did:
On a myth fresh install
1. Enabled PPA repos as of http://www.mythbuntu.org/files/mythbuntu-repos.deb
2. sudo apt-get update | sudo apt-get dist-upgrade
3. sudo apt-get install build-essential mercurial linux-headers-generic libncurses5-dev
4. hg clone http://hg.kewl.org/v4l-dvb-20091103/
5. cd v4l-dvb-20091103
6. sudo make menuconfig
# -> Multimedia Support -> DVB/ATSC adapters -> disable FireDTV and FloppyDTV
7. make
    Some warning but they seem unrelevant
8. sudo make install
9. sudo reboot

After that configured and scanned for channels. Signal level spanned by 34% to 43% while s/n ratio was no less than 98.
Subsequent tuning revealed some artefacts but consistently less than old patch was applied and rarely glitch (I hope is the right term) on audio.
I am pretty satisfied on that.

Compliments you did a really good work!

tchuss

dmb (darron-kewl) wrote :

Hello.
It's good to hear things are okay. I suspect this is a transient reception
issue only and nothing within the drivers themselves. For what it is
worth, I have just tested mythtv rc2 and also trunk and am using a HVR2200 and
it cannot find anything during a scan where `scan' in userland finds
every channel. There is probably more to this problem than just the
issue addressed here with the hvr1300/3000/4000 cards.
cya

My DVB-S problem was of the PEBKAC nature.
I wasn't aware I have a DiSEqC Switch. I thought I'm connected to the LNB directly.
After I set up a Switch with one LNB I could scan every channel.
Thanks again, Darron, for your help.

Shurik (sacha-hemmail) wrote :

I have followed exactly the way of ddafre above. Well scanning works somehow. Depending on what I scan first, satellite or terrestrial. I need to kill all mythtv processes if I want to switch tuner on HVR-4000 to scan other input. Recording works only on terrestrial. Analog does not work. For some reason I cannot change source or input while on frontend, that is maybe not related to this bug.

DFdario (dfdario) wrote :

I could give a try to the analog part of my HVR-1300 and report how it behaves if this could help but I couldn't ensure about the results since no more analog transmissions here. May be I have a sort of analog converted from satellite on band H (Euronews, CNN etc.).

Gunni (fgunni) wrote :

Shurik: Did you make sure, that device is only used on demand? Check that in mythtv-setup.

fussler (nobs-claude) wrote :

Hi all.
I have been trying to get the DVB-T running for over a week now.
After being so fed up i ordered a Sat dish. :)
ANYWAY. Not going to buy a out of the box solution just yet.
I can't seem to get: #hg clone http://hg.kewl.org/v4l-dvb-20091103/ to get the source.
Is something changed or new?
Trying to follow the instructions written by:<email address hidden> wrote on 2009-11-05.

fussler (nobs-claude) wrote :

It works now again.. waited a few h's
sorry for the inpatients.
Hope this works!!

fussler (nobs-claude) wrote :

YES THIS WORKS ON
HVR-4000

IM SO HAPPY WITH MY 5 SWISS CHANNELS :)

DFdario (dfdario) wrote :

Yesterday night I gave a shot to analog part of my HVR-1300 before it gets smoked somehow.
I agree whit those are saying analog has still some problem to work.
At first I should precise that I never used HVR-1300 analog under Linux system then I would make something of wrong.
Anyway, after added the analog part in mythbackend configuration and linked input television to xmltv grabber (the same as DVB-T) I tried to scan frequencies and see if it catch somethin.
The behaviour I met upon scanning is that it does nothing I mean that all remain steady at 0% scanning.

Notice for those having the need to save the patch saved.
Instead of "hg clone http://hg.kewl.org/v4l-dvb-20091103/"
another way is:
wget http://hg.kewl.org/v4l-dvb-20091103/archive/tip.tar.gz -O ~/tip.tar.gz
tar zxvf ~/tip.tar.gz
cd ~/v4l-dvb-20091103-2fe2e1f20be3
...
In this way anyone can save tar file for later use and get rid of downloading problems.

PS Regarding the smoked card I carried the PCI adapter in the laboratory where I work and find a wire is blown due to a short circuit may be. Hope to serve for doing more test if repairing the wire it solves.
Tonight ...

joedolan (joedolan1) wrote :

Hey,

Great work. I can confirm that the patch partially works with the HVR-4000. Everything tunes in ok and I can watch both DVB-T and DVB-S stations but when I switch from DVB-T to DVB-S the Mythfrontend just hangs. I'm not sure if this is related to the this patch though.

joedolan (joedolan1) wrote :

BTW. I can't confirm the above works in 9.04.

dmb (darron-kewl) wrote :

Hi. Thanks for all your feedback.

Analogue TV will on the hvr1300/3000/4000 work but not correctly in mythtv.
See this report http://bugzilla.kernel.org/show_bug.cgi?id=14116 where I
replied recently.

I am struggling currently with mythtv 0.22 hence a lack of reports from me
and I am seeing similar switching issues between DVB-S and DVB-T but this
is on completely unrelated hardware to this bug (NOVAS+ / hvr2200).
I will attempt to diagnose that later.

All I can suggest is that the fixes here work as per the test guide given
in #84 for the hvr1300/3000/4000 and any other issue are potentially
unrelated.

I will make one last posting here sometime tomorrow with my diagnosis
of the above and at last confirm from my side that the hvr4000 works
as anticipated (I still haven't installed it in my test box).

cya!

Lexje (erwinpanen-fastmail) wrote :

Hi,
I'm fairly new to MythTV at this level, but as I'm running into exact the same problems as I'm reading here, I thought I might help reporting. Therefore I will keep my comment short for a starter.

HVR-4000
I'm running Ubuntu 9.10.
myth -version
     linuxmce@dcerouter:/var/log$ apt-cache policy mythtv-backend
     mythtv-backend:
     Installed: 0.22.0+fixes22594-0ubuntu1
     Candidate: 0.22.0+fixes22594-0ubuntu1
     Version table:
     *** 0.22.0+fixes22594-0ubuntu1 0

Using scan shows the card is working ok (I've also had it up and running with Kaffeine on 0810 but not with MythTV):
linuxmce@dcerouter:~$ !72
scan -f 1 -d 1 be-Schoten > erwin.conf
scanning be-Schoten
using '/dev/dvb/adapter0/frontend1' and '/dev/dvb/adapter0/demux1'
initial transponder 506000000 0 2 9 3 1 0 0
>>> tune to: 506000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_64:TRANSMISSION_MODE_8K:GUARD_INTERVAL_1_32:HIERARCHY_NONE
---snip---
Network Name 'VRTmux1'
>>> tune to: 482000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_1_2:FEC_1_2:QAM_64:TRANSMISSION_MODE_8K:GUARD_INTERVAL_1_4:HIERARCHY_NONE
---snip---

I also did:
sudo mythtv-setup.real --verbose channelscan,siparser,channel,record,extra > mythtv-setup.log
If helpfull I can post / send these logs.

Hope to find a solution soon :-)

Erwin

MarcRandolph (mrand) wrote :

dmb, or anyone else that knows, did this get committed to the main Linux kernel? If so, can anyone point to the commit, or at least know which version it landed in?

Thank you!

Lexje (erwinpanen-fastmail) wrote :

Hi,

I've done extensive tests to get my HVR-4000 running.
I'm not very proficient with versioning systems, and have been following
a general hg clone etc manuscript to try my installs.
What I know for sure is that it is not in kernel 2.6.28-11 as I could
only get this card to run WITH this kernel.

A couple of weeks ago I have been on IRC mythtv-users channel, at that
time I was still running 2.6.27-16.
200% sure that with this kernel the scan error appears. I did post
snippets of the verbose to show the guys on IRC what was happening.

I realize this is vague, but I hope this helps.

All the best,

Erwin

MarcRandolph wrote:
> dmb, or anyone else that knows, did this get committed to the main Linux
> kernel? If so, can anyone point to the commit, or at least know which
> version it landed in?
>
> Thank you!
>
>

dmb (darron-kewl) wrote :

hi

this has gone nowhere as yet but others have been informed
of the required reversion and updates.

the latest and last tree is now here: http://hg.kewl.org/v4l-dvb-20100130/
when or if the reversion or any other patches go elsewhere is not known.

no more needs investigating with this from what I can see. the fault
has been fixed and also the fault in the duplicate bug fixed (IR).

it should be known that reverted patch fixed something else on
the hvr-1300 which is now probably broken (tuning analogue
in mpeg mode) but that will not be tested and must be classed
a defect if true. there is also no time to investigate it.

bye

Gunni (fgunni) wrote :

Still present in lucid kernel 2.6.32-14

DFdario (dfdario) wrote :

Still present in lucid Beta-1 kernel 2.6.32-18
Once the patch 20100130 is applied all DVB-T channels have tuned and work fine even better than expected.
Card used: HVR-1300 temporary not in use by my wife.

DFdario (dfdario) wrote :

Anybody tested with 2.6.32-21?
My HVR-1300 test board smoked and I wish to know before install on a working system.

Daniel (hackie) wrote :

I hope its ok to write here. I use Ubuntu, not mythbuntu, and me-tv as frontend. But error is the same: "Failed to lock to channel", and no picture. My Card: Hauppauge HVR 1300. Works ok in Jaunty, but fails in Karmic and Lucid

Just checked with release Live CDs of Lucid and it still does not work (Kernel 2.6.32-21-generic). Attaching logs of i386 and amd64

Daniel (hackie) wrote :
Gunni (fgunni) wrote :

Daniel: As said in this thread you have to apply the patches in this thread, and compile the modules yourself to get it work.
Sadly noone seems to be interested in integrating them. The Ubuntus are not interested, and although upstream was informed there seems to be no move, too.

DFdario (dfdario) wrote :

Thank you Gunni
My next steps will be:
First to repair my HVR-1300. I hope the technology I have at work it will help me since it seems and I hope a fuse on the board has blown (Crossing fingers).
Second to apply what in https://launchpad.net/~xorg-edgers/+archive/ppa and move to 2.6.34 and see if will solve S-Video PAL problems affecting my D945GCLF2 and of course the HVR drivers.
Third to solve the automount problem is affecting Mythbuntu 10.04.
If all is solved then I will move from my Mythbuntu 9.04 which has passed WAF to Mythbuntu 10.04 not before.

Daniel (hackie) wrote :

Yes! it works with patch. But link has changed to: http://hg.kewl.org/pub/v4l-dvb-20100130/

DFdario (dfdario) wrote :

Thank you Daniel.
I have my HVR-1300 repaired again because it was just the smd fuse (at least the tuning part while IR receiver I didn't check yet)
I made some test yesterday night.
All kernels I tested don't have any patch already in.
All Kernels i tested came from http://kernel.ubuntu.com/~kernel-ppa/mainline and they are: v2.6.33.3-lucid - v2.6.34-rc6-lucid and 2010-04-23-lucid from drm-next. Only the latter have some interst for me because it has the patch for s-video PAL.

I agree with you without patching the result is what dmb wrote at #92.
Still waiting and patching....

DFdario (dfdario) wrote :

Sorry Daniel
I forgot to say you that I already got the patch from http://hg.kewl.org/pub/v4l-dvb-20100130/
Cheers

DFdario (dfdario) wrote :

Wow, v4l-dvb-20100130 won't compile on 2.6.34.
great!

Gunni (fgunni) wrote :

DFDario: In doubt, get the latest v4l-dvb from linuxtv.org and apply the patches manually. Its not much work, so if you dont change your kernel weekly should be no problem.

DFdario (dfdario) wrote :

Thanks Gunni
So better if I wait for a stable 2.6.34 kernel then I will patch it. I neved dit it before, but I will find the way to do that.

Jason H (jaseywales) wrote :

I am running Mythbuntu 10.04 with 2.6.32-22-generic and my card is a Hauppauge HVR-1300. Followed the patch install instructions from post #91. Still no lock on Myth :( - I do get some result with Kaffeine at least.

dmesg | grep 1300 gives me:

[11.443917] cx88[0]: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56,autodetected], frontend(s): 1
[ 11.565468] cx88[0]: i2c init: enabling analog demod on HVR1300/3000/4000 tuner
[ 12.671983] cx88[0]/2: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56]
[ 12.934931] cx88[0]/2: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56]

/var/log/messages looks ok?

[ 12.671989] cx88[0]/2: cx2388x based DVB/ATSC card
May 11 17:57:23 jason-desktop kernel: [ 12.671992] cx8802_alloc_frontends() allocating 1 frontend(s)
May 11 17:57:23 jason-desktop kernel: [ 12.773174] tuner-simple 2-0061: attaching existing instance
May 11 17:57:23 jason-desktop kernel: [ 12.773181] tuner-simple 2-0061: type set to 63 (Philips FMD1216ME MK3 Hybrid Tuner)
May 11 17:57:23 jason-desktop kernel: [ 12.775525] DVB: registering new adapter (cx88[0])
May 11 17:57:23 jason-desktop kernel: [ 12.775531] DVB: registering adapter 0 frontend 0 (Conexant CX22702 DVB-T)...
May 11 17:57:23 jason-desktop kernel: [ 12.934917] cx2388x blackbird driver version 0.0.7 loaded
May 11 17:57:23 jason-desktop kernel: [ 12.934924] cx88/2: registering cx8802 driver, type: blackbird access: shared
May 11 17:57:23 jason-desktop kernel: [ 12.934931] cx88[0]/2: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56]
May 11 17:57:23 jason-desktop kernel: [ 12.934936] cx88[0]/2: cx23416 based mpeg encoder (blackbird reference design)
May 11 17:57:23 jason-desktop kernel: [ 12.940029] cx88-mpeg driver manager 0000:01:04.2: firmware: requesting v4l-cx2341x-enc.fw

Basically scans with no lock as before - any ideas would be much appreciated.

DFdario (dfdario) wrote :

As Jason already wrote HVR-1300 is no longer working on 2.6.32-22 or, better, at my side I'm having a weird behavior if IR works Tuner don't and viceversa.
So far the 2.6.28 is the last kernel known working with HVR-1300 and sibiling.

Jason H (jaseywales) wrote :

Questions:

 1. If I have lucid 10.04 with 2.6.32-22 and then

a. re-build the latest v4l-dvb kernel modules (Info here: http://www.linuxtv.org/repo/)
and/or
b. Apply the patches http://hg.kewl.org/pub/v4l-dvb-20100130/ with
make
sudo make install
sudo reboot.

I deleted and re-added my card in mythbackend setup - still nothing from the scan.

Do I expect this to work?

As stated I have followed #91 so far to no avail. I have the card recognised, I used modprobe cx88_dvb and get the /dev/dvb/adapter0/frontend0 all created OK.

Eager to learn how I manually apply the patches...

Is h

Gunni (fgunni) wrote :

I am running 2.6.32-21-generic and it works.
I downloaded svn from linuxtv on 21.2.2010 and edited the patches manually in.
I did not reboot with 2.6.32-22 yet, but dont know a reason it should not work. Will try it today, and if i dont write here it still works.

Mike S (michael-stock) wrote :
Download full text (4.5 KiB)

hello

here is my history with this bug:

- ubuntu 8.04 rock solid
- upgrade to 10.04 with 2.6.32-22 - disaster (too many other problems to list here, but HVR-1300 is one problem)
- go insane for 1 week trying to fix
- finally download v4l-dvb-20100130 from kewl.org and install
- intermittent problems with 1300 still... mythbackend scan only finds "probable" channels, no lock or partial lock when trying live TV, etc.

Eventually i noticed that one patch Gunni had reverted was the "cx88: HVR1300 ensure switching from Encoder to DVB-T and back is reliable" as seen in http://<email address hidden>/msg04710.html. I noticed that this patch is NOT reverted in v4l-dvb-20100130, but the other patch Gunni suggested reverting (http://<email address hidden>/msg02195.html) IS reverted in 20100130.

So this made me think. I had been using the V4L analog tuner in my mythbackend setup. and it would always be the first tuner used by frontend when i started live TV to do testing. And analog would always work, but digital/dvb would then never work (wn i switched via live tv menu "Switch Input" option). so i thought maybe using analog first and switching to digital was the problem.

so i removed the analog tuner from my back end setup and now digital works!!

a couple of things i could now try:

1. add analog back into backend, change card priorities so that when i test in LiveTV it doesn't start in analog, then try switching from digital to analog and back again (instead of other way around which i know fails)
2. revert patch in my copy of the 20100130 source, recompile, try switching from analog to digital again

here is my latest dmesg:

~$ dmesg | egrep "i2c|cx88"
[ 22.106181] cx88/0: cx2388x v4l2 driver version 0.0.7 loaded
[ 22.106202] cx8800 0000:05:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 22.106361] cx88[0]: subsystem: 0070:9600, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56,autodetected], frontend(s): 1
[ 22.106363] cx88[0]: TV tuner type 63, Radio tuner type -1
[ 22.110554] cx88/2: cx2388x MPEG-TS Driver Manager version 0.0.7 loaded
[ 22.244072] cx88[0]: i2c init: enabling analog demod on HVR1300/3000/4000 tuner
[ 22.263857] tuner 0-0043: chip found @ 0x86 (cx88[0])
[ 22.272096] tuner 0-0061: chip found @ 0xc2 (cx88[0])
[ 22.313139] cx88[0]: hauppauge eeprom: model=96559
[ 22.323577] cx88[0]/0: found at 0000:05:01.0, rev: 5, irq: 17, latency: 64, mmio: 0xfb000000
[ 22.323585] IRQ 17/cx88[0]: IRQF_DISABLED is not guaranteed on shared IRQs
[ 22.325667] wm8775 0-001b: chip found @ 0x36 (cx88[0])
[ 22.332843] cx88[0]/0: registered device video0 [v4l2]
[ 22.332883] cx88[0]/0: registered device vbi0
[ 22.332927] cx88[0]/0: registered device radio0
[ 22.336955] cx88[0]/2: cx2388x 8802 Driver Manager
[ 22.336967] cx88-mpeg driver manager 0000:05:01.2: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 22.336974] cx88[0]/2: found at 0000:05:01.2, rev: 5, irq: 17, latency: 64, mmio: 0xfd000000
[ 22.336977] IRQ 17/cx88[0]: IRQF_DISABLED is not guaranteed on shared IRQs
[ 22.337077] cx88_audio 0000:05:01.1: PCI INT A -> GSI 17 (level, low) -> IRQ 1...

Read more...

Mike S (michael-stock) wrote :

continuing from the above:

1. add analog back into backend, change card priorities so that when i test in LiveTV it doesn't start in analog, then try switching from digital to analog and back again (instead of other way around which i know fails)

tried this just now. did not work. as long as the 1300-analog card is in my mythbackend setup i cannot use 1300-digital, even if i have not viewed any analog. I then tried (without rebooting) removing the analog card from mythbackend and restarting frontend - 1300-digital works!

so it seems that as long as mythbackend is told to have the 1300-analog in the list of tuner cards, then 1300-digital cannot get a channel lock.

2. revert patch in my copy of the 20100130 source, recompile, try switching from analog to digital again

should i try this now?

Mike

dmb (darron-kewl) wrote :

Good day.

this is just a notice that a new repository exists:

http://hg.kewl.org/pub/v4l-dvb-20100517/

this repo. addresses compilation with
2.6.34 and also IR attachment Oops issues

if either the above affect you, try this repo.

bye

Gunni (fgunni) wrote :

Darron, just a quick note: You rock :)

KBios (kbios) wrote :

Thanks dmb. You were faster than my complain :-))
Any progress in mainline integration?

Tkanks again

Jason H (jaseywales) wrote :

Yes indeed, good work.

As an aside, and for my novice understanding, can someone explain EXACTLY how I manually apply the diff files from the repository. I keep getting Hunk failures when I apply patch -p1 < patch.diff or am I wrong here?

I checked out linux source files so I have the target files (e.g. cx88-dvb.c) in /usr/src/linux-2.6.32/

I am taking the diff from here:

http://hg.kewl.org/pub/v4l-dvb-20100130/diff/b37cbf5206d4/linux/drivers/media/video/cx88/cx88-dvb.c

Daniel (hackie) wrote :

Just a quick note to the new version http://hg.kewl.org/pub/v4l-dvb-20100517/, I had several problems with it:
- 33% of system boots were frozen (with 20100517 also but only 20%)
- 33% of system boots did not initialize the graphics card - tuner is not able to play tv
- 33% of boots work fine

for point 2, i attached a dmesg log. The beginning of the log is lost because the buffer was too small

Switched back to the old version now.

My System:
Ubuntu 10.04 LTS, 2.6.32-22-generic x86_64 GNU/Linux

Jason H (jaseywales) wrote :

Sorry but how do I apply this to 2.6.32-22-generic?
Having cloned and built the repos from post #91 I find the patches are only applied to ...-21-generic so I have to change my kernel at boot up time - all is good then, I can tune DVB-T as normal.

Where are the correct patch files so that I can do this manually for later kernels or are we manually editing each one in and rebuilding v4l?

jason@jason-laptop:~/v4l-dvb$ sudo patch -p1 < cx88video.diff

patching file linux/drivers/media/video/cx88/cx88-video.c

Hunk #1 FAILED at 436.
1 out of 1 hunk FAILED -- saving rejects to file linux/drivers/media/video/cx88/cx88-video.c.rej

Thanks in advance :)

Gunni (fgunni) wrote :

I just want to post a strange thing:
I am on maverick on my backend, and updates broke my nvidia driver. When i boot with this broken driver, and old xorg.conf system does not boot into X, and switching to a terminal is not possible, but watching TV from my laptop does work on kernel 2.6.35.
If i now remove the xorg.conf and reboot, i can go to a terminal, but watching TV does not work because of the "no lock" bug from this bug report.
Really strange. ssh into my backend i can see it is really running 2.6.35.
Could not compile v4l-dvb till now, because of a bug in v4l-dvb not compatible with 2.6.35.

John Bergqvist (jlbergqvist) wrote :

Guys, does anyone know whether this bug will be fixed for the upcoming (10.10) release of Mythbuntu? (I'm using 10.04 with two HVR-1300s) OK so the fix posted works for me, which is great, but it would be nice if it worked out of the box again.

Liam Friel (liam-friel) wrote :

Another "great work" from me to Darron.

With the 20100517 repos, and a rebuild, I have DVB-T working with the HVR 4000 in MythTV 0.22 for the first time. (It worked fine in Me-TV before that).

Unfortunately I have a TT-3200 card in the system, and the 20100517 repos breaks that :-(

But fortunately, it's only the IR registration in the budget_ci which is broken ... and I don't care about that, so I commented it out and rebuilt and the TT-3200 is fixed again :-)

However I also have the issue reported in #101: when I zap away from DVB-T, the frontend hangs, always. Anyone know of where to look for a fix for that?

Horaci Macias (horacimacias) wrote :

not sure if this is related or not but I'm using Ubuntu 10.04 with the 20100517 fix. The channel scan works fine for me, but for a particular multiplex whenever I try to watch any channel I get the L_S partial lock.
The same channels work fine in Kaffeine; could somebody please suggest any steps to troubleshoot this?
Is there any direct recording I can try on the command line to see if the problem is mythtv-related or something else? It looks like it's only mythtv as Kaffeine displays the channels without a problem.

Horaci Macias (horacimacias) wrote :

sorry, false alarm. Just in case this happens to anybody else, my issue was that some channels on a specific multiplex (perhaps the whole multiplex?) had moved to a different multiplex. Mythtv still had the old entries of channels in mysql even after clearing all channels and doing a full re-scan using mythtv-setup.
After wiping all entries from the channel table and doing another channel scan, things are working again now.
I kept thinking it was something related to mythtv tunning but it was just some confusion due to old channel entries in the database.

Daniel (hackie) wrote :

It seems that the most current linux-image-2.6.32-24-generic image (amd64, v2.6.32-24.42) is broken again completely. I tried with v4l-dvb-20100130, v4l-dvb-20100517 and without any custom modules and was not able to get any signal anymore.
The previous version 2.6.32-24.41 worked at least with v4l-dvb-20100130

Martin (martin-koskinen) wrote :

I can confirm the problems with the later kernel.

Daniel (hackie) wrote :

At first view, the problem seems to be completely solved in Ubuntu 10.10 Maverick with kernel linux-image-2.6.35-22-generic (amd64)

DFdario (dfdario) wrote :

Unfortunately that's not true for my HVR-1300 and Mythbuntu 10.10 kernel linux-image-2.6.35-22-generic (amd64)

Daniel (hackie) wrote :

Problem is back here. The only things i did: a normal system update linux-image-2.6.35-22-generic:amd64 (2.6.35-22.34 -> 2.6.35-22.35), and plugging in a second monitor

iCe (iceclow) wrote :

I'm also having the same problems in maverick, 2.6.35-22-generic. Also the patch is not compiling on this kernel version.

Gunni (fgunni) wrote :

The patch itself is still appliable to the kernel. The complete source wont compile due to changes in the kernel.
So if you download the source from linuxtv, and apply the patch manual it will work (as it does here).

gumis (gumis) wrote :

Same here... doesn't work in maverick.

Gunni, any chance that you could post here how to manually apply this patch onto source from linuxtv?

Gunni (fgunni) wrote :

1. Get source code like described here: http://linuxtv.org/wiki/index.php/How_to_Obtain,_Build_and_Install_V4L-DVB_Device_Drivers#Using_Mercurial

2. Edit the file v4l-dvb/linux/drivers/media/video/cx88/cx88-dvb.c
- search for CX88_BOARD_HAUPPAUGE_HVR1300 (somewhere around line 1470 )
- change the lines that they look like:

 switch (core->boardnr) {
 case CX88_BOARD_HAUPPAUGE_HVR1300:
  /* We arrive here with either the cx23416 or the cx22702
   * on the bus. Take the bus from the cx23416 and enable the
   * cx22702 demod
   */
  /* Toggle reset on cx22702 leaving i2c active */
  cx_set(MO_GP0_IO, 0x00000080);
  //udelay(1000);
  //cx_clear(MO_GP0_IO, 0x00000080);
  //udelay(50);
  //cx_set(MO_GP0_IO, 0x00000080);
  //udelay(1000);
  /* enable the cx22702 pins */
  cx_clear(MO_GP0_IO, 0x00000004);
  udelay(1000);
  break;

3. then go on like described in the wikipage how to build and install. Maybe you have to disable firedtv card in the config by first doing a "make menuconfig" and disable it there.

gumis (gumis) wrote :

Gunni, you're gentleman. I'll give it a try now...

Thank you.

iCe (iceclow) wrote :

Thanks Gunni I'll try It when I get in front of my computer.

iCe (iceclow) wrote :

Thanks a lot Gunni it's working now!

I have made a patch to ease the process instead of manually commenting those lines. I'm wondering, why this workaround cannot be merged into the v4l tree, what is preventing to solve this bug since 2009-09-30?

Here I left some instructions to other with this problem, download the attachment to this post and follow these steps:

1- Download v4l source code from repository:
     hg clone http://linuxtv.org/hg/v4l-dvb
2- Copy the patch file to v4l-dvb/linux/drivers/media/video/cx88/
3- Apply the patach
    patch cx88-dvb.c cx88-dvb.c.patch
4- Go back to the root v4l-dvb folder and compile v4l:
    make
5- If on ubuntu, make sure to remove FireDTV modules, for that do:
    make menuconfig
6- Install the drivers:
    sudo make install

Now reboot, and it should be working.

xinodelparque (xino-gasco) wrote :

good

I am new to this Linux and Mythbuntu.

So if the teachers here, could explain step by step how to operate the hvr 4000 on a clean install of Mythbuntu 10.10 .... I would be most grateful ....

I go from windows to linux ... but have two HVR 4000 cards and for reasons unknown to me .... I can not run ....

That is why I request a pastel step guide to make it work ...

I hope that does not involve much work for you ...

But understand that many people like me .. they do not have much idea and lost a bit ....

I have followed the steps in the last post and do not work ... so I ask this guide ....

forsake me not in windows ...

thanks .....

translated by google translator .... I'm Spanish ... understand?

gumis (gumis) wrote :

So far everything looks good for HVR-1300 with patch applied as per Gunni's instructions on #147.
Need more testing, I think some of the channels are missing... Will report back ASAP.

I'm still strugling with HVR-4000 though...
Did anyone managed to get this card working on 10.10 ? I can't get a Lock when scanning for DVB-T channels (haven't tried DVB-S or S2 yet...). Perhaps another patch to be applied manually?

Gunni (fgunni) wrote :

gumis: Maybe you should download the Repo from Darron and the upstream source, and see the differences on both sources for the HVR-4000 and edit it manually. I cant test that as i do not have a HVR-4000.

tags: added: patch
Peter Childs (pchilds-bcs) wrote :

Commenting out the 5 lines also works on the HVR3000 but the 5 lines are in a different place. (But the same file and same 5 lines, looking at the code says it should also work for the HVR4000 but that is untested.

FireDVT can be found in menuconfig under Mnultimedia support -> DVB/ATSC adaters -> FireDTV and FloppyDTV.

(Tested on Ubuntu 10.04 and 10.10 64bit)

mateuz (vitauts-g) wrote :

Can someone please write complite How to?

I am using HVR-1300 I have tried to get it working in ubuntu since 7.10, but no success. I am very pleased with boot-up speed of mythbuntu 10.10, but this tunning failed issue makes me crazy. also if I try MeTV it says "No DVB device available"

But please make some very detailed instructions how to get it working in mytbuntu or ubuntu. if there is something I need to report more some log file or terminal message please let me know so I can give some investment of time to solve this problem. on win hauppauge rocks but on ubuntu...

Not sure if it is relevant or not...
After a reboot mythtv cannot tune any channels and femon doesn't show a 'locked' message UNTIL I run a scan (after stopping mythtv-backend...). Femon shows 'locked' during the scan and channels are found & the locked message persists after the scan finishes (or I kill it with ctl-c!) and mythtv will then tune channels. Possible difference in card initialisation ?

HOWEVER I have just updated to 23.1 and now cannot get myth to lock, am doing a full remove/distclean/make/install to see if it fixes the problem...

David

frednet (andrew-walker27) wrote :

Just followed your quick guide and patched my HVR-1300 on Mythbuntu 10.10 64bit and worked like a charm. Let's hope this bug gets fixed, I've been struggling with this card for months after the breakage.
Many thanks, the DVB-T works, just the analog side and radio to get going now!

nicola76b (bortolotti-nicola) wrote :

Ubuntu 10.4 64bit and HVR-3000
Follow Peter Childs (#154) instructions get my board working again.

Unfortunately some channels continue not working (mediaset doesn't work, so I cannot hook Iatalia1, canale5, rete4)
but many other yes. Please release a complete working patch.
PS: anyway compliments for this one, I do all the work without understant nothing... :-|

Thankyou for your support!!

Jason Cullen (jcullen86) wrote :

Ubuntu 10.10 64bit and HVR-4000 and Mythtv 0.24

Can also confirmed that after NEVER having my tuner working under ubuntu that commenting out the line as per (#154)
have worked and now my card is working like a charm with DVB-T.

Thank you so much mythtv is so much better with live tv :-D

Changed in debian:
status: Unknown → New
webaake (webaake) wrote :
Download full text (4.2 KiB)

My hvr 1300 doesn't seem to work no matter what I do. The symptoms are the same for all 2.6.37.x kernels; the cards IS recognized - dmesg | grep cx88;
cx88_audio 0000:01:07.1: PCI INT A -> Link[LNKB] -> GSI 18 (level, low) -> IRQ 18
cx88[0]: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56,insmod option], frontend(s): 1
cx88[0]: TV tuner type 41, Radio tuner type -1
cx88/2: cx2388x MPEG-TS Driver Manager version 0.0.8 loaded
cx88[0]: i2c init: enabling analog demod on HVR1300/3000/4000 tuner
cx88/0: cx2388x v4l2 driver version 0.0.8 loaded
tuner 1-0043: chip found @ 0x86 (cx88[0])
tuner 1-0061: chip found @ 0xc2 (cx88[0])
cx88[0]: hauppauge eeprom: model=96019
cx88[0]/1: CX88x/0: ALSA support for cx2388x boards
cx88[0]/2: cx2388x 8802 Driver Manager
cx88-mpeg driver manager 0000:01:07.2: PCI INT A -> Link[LNKB] -> GSI 18 (level, low) -> IRQ 18
cx88[0]/2: found at 0000:01:07.2, rev: 5, irq: 18, latency: 64, mmio: 0xdb000000
cx8800 0000:01:07.0: PCI INT A -> Link[LNKB] -> GSI 18 (level, low) -> IRQ 18
cx88[0]/0: found at 0000:01:07.0, rev: 5, irq: 18, latency: 64, mmio: 0xdd000000
wm8775 1-001b: chip found @ 0x36 (cx88[0])
cx88[0]/0: registered device video0 [v4l2]
cx88[0]/0: registered device vbi0
cx88[0]/0: registered device radio0
cx88/2: cx2388x dvb driver version 0.0.8 loaded
cx88/2: registering cx8802 driver, type: dvb access: shared
cx88[0]/2: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56]
cx88[0]/2: cx2388x based DVB/ATSC card
cx8802_alloc_frontends() allocating 1 frontend(s)
DVB: registering new adapter (cx88[0])
cx88/2: registering cx8802 driver, type: blackbird access: shared
cx88[0]/2: subsystem: 0070:9601, board: Hauppauge WinTV-HVR1300 DVB-T/Hybrid MPEG Encoder [card=56]
cx88[0]/2: cx23416 based mpeg encoder (blackbird reference design)
cx88[0]/2-bb: Firmware and/or mailbox pointer not initialized or corrupted
cx88[0]/2-bb: Firmware upload successful.
cx88[0]/2-bb: Firmware version is 0x02060039
cx88[0]/2: registered device video1 [mpeg]

All the modules seem to load - lsmod | grep cx88;
cx88_blackbird 13254 1
cx2341x 15408 1 cx88_blackbird
cx88_dvb 19559 1
cx88_vp3054_i2c 1520 1 cx88_dvb
videobuf_dvb 3938 1 cx88_dvb
dvb_core 75727 3 cx88_dvb,videobuf_dvb
cx8800 24226 1 cx88_blackbird
cx8802 11179 2 cx88_blackbird,cx88_dvb
cx88_alsa 6991 0
cx88xx 66327 5 cx88_blackbird,cx88_dvb,cx8800,cx8802,cx88_alsa
v4l2_common 5844 6 cx88_blackbird,cx2341x,wm8775,cx8800,tuner,cx88xx
videodev 57747 8 cx88_blackbird,cx2341x,wm8775,cx8800,tuner,cx88xx,v4l2_common
i2c_algo_bit 4191 2 cx88_vp3054_i2c,cx88xx
videobuf_dma_sg 7224 6 cx88_blackbird,cx88_dvb,cx8800,cx8802,cx88_alsa,cx88xx
videobuf_core 13399 6 cx88_blackbird,videobuf_dvb,cx8800,cx8802,cx88xx,videobuf_dma_sg
ir_common 3506 1 cx88xx
ir_core 12818 8 ir_lirc_codec,ir_sony_decoder,ir_jvc_decoder,ir_rc6_decoder,ir_rc5_decoder,ir_nec_decoder,cx88xx,ir_common
tveeprom 10577 ...

Read more...

Gunni (fgunni) wrote :

@webaake: The bug is still present in kernel 2.6.38, but the patch does still work, too.
I am now on ubuntu natty with 2.6.38 self compiled v4l modules with patch applied manually, and it still does work, althoug my mythtv is a bit unstable since the update and i dont know why, but that is not related to this bug.

John Bergqvist (jlbergqvist) wrote :

Just a thought (this is concerning the HVR-1300 only), but seeing as it appears that everyone is having this problem, with recent kernels, and it only needs to be fixed by commenting out those same few lines in the source code, and recompiling. Wouldn't it save a whole load of hassle if we were able to sorta have those 5 lines commented out/removed in the first place, so that from then on, the drivers would work out of the box, without the need to download and recompile them? Maybe someone could contact the v4l guys and try and get it sorted? Just a thought, please tell me if there's anything preventing that?

Gunni (fgunni) wrote :

John: I contacted them long time ago, but got nothing happened. So i gave up disappointed.
It seems common to me that open source developers only do what _they_ want to do, or if someone they know contacts them, but if a common user does this nothing happens.

Gunni (fgunni) wrote :

Just to make it precise it was back then: http://osdir.com/ml/linux-media/2009-10/msg00511.html

Only reaction was "noted"

John Bergqvist (jlbergqvist) wrote :

Should we keep nagging them? I mean its 5 lines that need to be commented out, it surely can't have that much of a knock-on effect. I doubt it would affect other cards.

James Pond (jp-raven) wrote :

Hello there,

Owner of an HVR4000 and trying to make it work on recent Ubuntu/MythTV. Hopefully will succeed to appy and compile the patch sooner or later.

@John @Gunni

Gunni is probably right about (free) open source developpers doing only what they want to do. Of course, remember they are doing it for free.

Now from a more technical point of view, there may be very good reasons for those people not to simply apply the patch. What if the fix breaks something else? The code change that provoked the issue was certainly written for very good reasons, is it wise to simply cancel it?

Anyway, I hope I will be able to report good news about my HVR4000 soon.

James Pond (jp-raven) wrote :

Wooooooh!

Finally got to scan something today in MythTV with my Hauppauge HVR4000. On Ubuntu 10.04 LTS.

It was stunning to finally see it work as expected. Like, after so many failed attempts I was so sure it would never work.

What I did:
- follow instructions of comment #50
- but with repository given in comment #128
- (of course) the removal of kernels must be adjusted to the actual kernel version used
- some commands failed but succeeded when used with sudo
- both 'make' and 'make install' ended at first in a Segmentation Fault, but completed when retried after a reboot (why???)
- also I installed the sources of the kernel

I am a little bit concerned with the segmentation fault: is it normal or does it suggest a problem with my box? Maybe overheating, or maybe bad software? Should I avoid upgrading the kernel?

What do you think?

James Pond (jp-raven) wrote :

Me again,

I have been able to play with MythTV, it works beautifully and is a gem. I am happy to have put so many effort in order to try it.

About segmentation faults and other weird behaviors of my box, Memtest86+ tells me that my memory has defects. So, the problem is on my side, not on software's. Asking for a RMA.

Fer (fernando-gil-lopez) wrote :

Hello!

It works for me in Ubuntu 10.10 kernel 2.6.35-28 generic with a Hauppage HVR4000:

1. Downloading v4l source of comment #150

     hg clone http://linuxtv.org/hg/v4l-dvb

2. Edit the file: v4l-dvb/linux/drivers/media/video/cx88/cx88-dvb.c

    And commenting out the five lines:

     case CX88_BOARD_HAUPPAUGE_HVR4000:
  /* Toggle reset on cx22702 leaving i2c active */
  cx_set(MO_GP0_IO, 0x00000080);
  //udelay(1000);
  //cx_clear(MO_GP0_IO, 0x00000080);
  //udelay(50);
  //cx_set(MO_GP0_IO, 0x00000080);
  //udelay(1000);

3. As comment #150 says, it was necessary to remove FireDTV modules.
    Before, I ned to install libncurses & libncurses5 (I used synaptics to do it). Then, I entered menuconfig:

         make menuconfig

        and unmarking with (N) the module "FireDTV and FloppyDTV"
        you can find it under Multimedia Support --> DVB/ATSC adapters

4. Compiling and installing the driver:

    make

    sudo make install

It works fine in MythTV but I have some problems in Mythbox pluggin under XBMC. I can watch the first channel selected, but if I select a second channel, XBMC hangs. I don't know if the error is related to this driver.

I tried to do the same in Mythbuntu 11.04 kernel 2.6.38-8, but I obtained a lot of errors related to IOCTL when tried to compile.

Daniel (hackie) wrote :

Hey..

I just tried to do the same work-araounds in natty (11.04, kernel 2.6.38-9), but whatever I try (#147, #150, #167, #169), it either does not compile because of different apis or it compiles but without positive effect to the tv app.

There are 169(+1) comments already and it is hard to see which one is the most useful.

How about maintaining a Wiki page somewhere with copy-paste instructions and keeping it up-to-date? Annoying enough that this patch is not mainstream yet...

Vemboca (vemboca) wrote :

Same problem here. Worked for 2 days and then kaffeine didn't start anymore.

Hauppauge HVR-1300 DVB-T Chip: CX22702

It first worked after manually compiling v4l-dvb.

James Pond (jp-raven) wrote :

Tried with Mythbuntu 11.04, does not work for the same reason than Daniel on comment #170.

Reverted back to Ubuntu 10.04 LTS and worked again like previously told in coments #167 & #168.

Finally had a chance to debug this issue using an HVR-1300. It's actually a race condition in DVB core which effects all three cards. Have submitted the attached patch to linux-media, which should result in all three cards working properly, and should supersede any patches floating around which rip out the GPIO code (which is the incorrect fix).

Users are welcome to try the frontend_dvb_init.patch against the latest media_build, and it should address the issue. Please report back success/failure either way.

Thanks,

Devin Heitmueller
Kernel Labs Inc.

Gunni (fgunni) wrote :

Devin: That sounds great ... what do i say ... it sounds awesome.
I only hope that the patch gets integrated in the kernel, so finally the patching is over.
There are some more patches from Darron, do you think they can get in as well. For me its the remote control patch that made my remote control work after some yoears without: http://hg.kewl.org/pub/v4l-dvb-20100517/rev/b2c126d4f749

I will try your patch when i am back home in a few hours. I post here if there is a problem with that patch.

description: updated
nicola76b (bortolotti-nicola) wrote :
Download full text (4.9 KiB)

Hi all, I've just tried #173 patch, but error appears.

I've HVR3000 and run ubuntu Linux version 2.6.38-8-generic (buildd@allspice) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3) ) #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011

after type "sudo make menuconfig"
 -> Multimedia Support -> DVB/ATSC adapters -> disable FireDTV and FloppyDTV

Here my output
----
htpc@HTPC:~/v4l-dvb/linux$ patch -p1 < frontend_dvb_init.patch
patching file drivers/media/dvb/dvb-core/dvb_frontend.c
Hunk #1 succeeded at 1981 (offset -8 lines).
htpc@HTPC:~/v4l-dvb/linux$ cd ..
htpc@HTPC:~/v4l-dvb$ cd ..
htpc@HTPC:~$ cd v4l-dvb
htpc@HTPC:~/v4l-dvb$ sudo make menuconfig
make -C /home/htpc/v4l-dvb/v4l menuconfig
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
No version yet, using 2.6.38-8-generic
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
./scripts/make_kconfig.pl /lib/modules/2.6.38-8-generic/build /lib/modules/2.6.38-8-generic/build
Preparing to compile for kernel version 2.6.38

***WARNING:*** You do not have the full kernel sources installed.
This does not prevent you from building the v4l-dvb tree if you have the
kernel headers, but the full kernel source may be required in order to use
make menuconfig / xconfig / qconfig.

If you are experiencing problems building the v4l-dvb tree, please try
building against a vanilla kernel before reporting a bug.

Vanilla kernels are available at http://kernel.org.
On most distros, this will compile a newly downloaded kernel:

cp /boot/config-`uname -r` <your kernel dir>/.config
cd <your kernel dir>
make all modules_install install

Please see your distro's web site for instructions to build a new kernel.

WARNING: You're using an obsolete driver! You shouldn't be using it!
  If you want anything new, you can use:
  http://git.linuxtv.org/media_build.git.
  The tree is still here just to preserve the development history.
  You've been warned.
Created default (all yes) .config file
/lib/modules/2.6.38-8-generic/build/scripts/kconfig/mconf ./Kconfig
#
# configuration written to .config
#

*** End of the configuration.
*** Execute 'make' to start the build or try 'make help'.

./scripts/fix_kconfig.pl
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
htpc@HTPC:~/v4l-dvb$ sudo make
make -C /home/htpc/v4l-dvb/v4l
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
scripts/make_makefile.pl
./scripts/make_myconfig.pl
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
perl scripts/make_config_compat.pl /lib/modules/2.6.38-8-generic/build ./.myconfig ./config-compat.h
creating symbolic links...
ln -sf . oss
make -C firmware prep
make[2]: Entering directory `/home/htpc/v4l-dvb/v4l/firmware'
make[2]: Leaving directory `/home/htpc/v4l-dvb/v4l/firmware'
make -C firmware
make[2]: Entering directory `/home/htpc/v4l-dvb/v4l/firmware'
  CC ihex2fw
Generating vicam/firmware.fw
Generating dabusb/firmware.fw
Generating dabusb/bitstream.bin
Generating ttusb-budget/dspbootcode.bin
Generating cpia2/stv0672_vp4.bin
Generating av7110/bootcode.bin
make[2]: Leaving directory `/home/htpc/v4l-dvb/v4l/firmware'
Kernel build dire...

Read more...

Gunni (fgunni) wrote :

The new patch workes for me on ubuntu 11.10 alpha with kernel 2.6.39
Kernel 3.0 wont complie against media build as the build scripts seem to need the three version numbers.

nicola76b: Dont know about your problem, as for me it worked now, but i remember that i had to diable not only firedtv sometimes, but cant remember the other to disable. Try to find something with "flexcop" in menuconfig and disble it.

nicola76b (bortolotti-nicola) wrote :
Download full text (4.5 KiB)

Thank you Gunni, but it seems don't work.

I try disable firedtv and also
*** Supported FlexCopII (B2C2) Adapters ***
< > Technisat/B2C2 FlexCopII(b) and FlexCopIII adapters

(follow output), but without results.
Can you try to remember whatelse should I disable/enable?

THANK YOU VERY MUCH,

    Nicola

htpc@HTPC:~/v4l-dvb$ sudo make menuconfig
make -C /home/htpc/v4l-dvb/v4l menuconfig
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
No version yet, using 2.6.38-8-generic
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
./scripts/make_kconfig.pl /lib/modules/2.6.38-8-generic/build /lib/modules/2.6.38-8-generic/build
Preparing to compile for kernel version 2.6.38

***WARNING:*** You do not have the full kernel sources installed.
This does not prevent you from building the v4l-dvb tree if you have the
kernel headers, but the full kernel source may be required in order to use
make menuconfig / xconfig / qconfig.

If you are experiencing problems building the v4l-dvb tree, please try
building against a vanilla kernel before reporting a bug.

Vanilla kernels are available at http://kernel.org.
On most distros, this will compile a newly downloaded kernel:

cp /boot/config-`uname -r` <your kernel dir>/.config
cd <your kernel dir>
make all modules_install install

Please see your distro's web site for instructions to build a new kernel.

WARNING: You're using an obsolete driver! You shouldn't be using it!
  If you want anything new, you can use:
  http://git.linuxtv.org/media_build.git.
  The tree is still here just to preserve the development history.
  You've been warned.
Created default (all yes) .config file
/lib/modules/2.6.38-8-generic/build/scripts/kconfig/mconf ./Kconfig
#
# configuration written to .config
#

*** End of the configuration.
*** Execute 'make' to start the build or try 'make help'.

./scripts/fix_kconfig.pl
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
htpc@HTPC:~/v4l-dvb$ make
make -C /home/htpc/v4l-dvb/v4l
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
scripts/make_makefile.pl
./scripts/make_myconfig.pl
make[1]: Leaving directory `/home/htpc/v4l-dvb/v4l'
make[1]: Entering directory `/home/htpc/v4l-dvb/v4l'
perl scripts/make_config_compat.pl /lib/modules/2.6.38-8-generic/build ./.myconfig ./config-compat.h
creating symbolic links...
ln -sf . oss
make -C firmware prep
make[2]: Entering directory `/home/htpc/v4l-dvb/v4l/firmware'
make[2]: Leaving directory `/home/htpc/v4l-dvb/v4l/firmware'
make -C firmware
make[2]: Entering directory `/home/htpc/v4l-dvb/v4l/firmware'
  CC ihex2fw
Generating vicam/firmware.fw
Generating dabusb/firmware.fw
Generating dabusb/bitstream.bin
Generating ttusb-budget/dspbootcode.bin
Generating cpia2/stv0672_vp4.bin
Generating av7110/bootcode.bin
make[2]: Leaving directory `/home/htpc/v4l-dvb/v4l/firmware'
Kernel build directory is /lib/modules/2.6.38-8-generic/build
make -C /lib/modules/2.6.38-8-generic/build SUBDIRS=/home/htpc/v4l-dvb/v4l modules
make[2]: Entering directory `/usr/src/linux-headers-2.6.38-8-generic'
  CC [M] /home/htpc/v4l-dvb/v4l/tuner-xc2028.o
  CC [M] /home/htpc/v4l-dvb/v4l/tuner-simple.o
  C...

Read more...

larsekm (lars66) wrote :

I have a HVR4000 and 2.6.38-8-generic linux kernel.

I could successfully build the v4-dvb drivers by abandoned the hg checkout and moved to git. The page, http://www.mythtv.org/wiki/Hauppauge_HD-PVR#HD-PVR_Driver_Compilation_Howto has a good description how to do it.

    git clone git://linuxtv.org/media_build.git
    cd media_build
    ./check_needs.pl
    make -C linux/ download
    make -C linux/ untar
    make stagingconfig
    make
    sudo make install

....and the best part was that after applying Devin Heitmueller's patch my tv-card was able to find channels during scan.

That made my day,
Lars

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
Daniel (hackie) wrote :

Thanks Devin (#173). I just compiled my 2.6.38-10-generic in Natty and it works, and it seems even more stable than ever before.

But what happens with this bug report now? I'm not sure what I should think about #179

John Bergqvist (jlbergqvist) wrote :

#173 Fantastic! After 3 years we finally have a proper solution! The previous method of commenting out those 4 or 5 lines would have a nasty side-effect where my PC would completely freeze after booting up every 2 or 3 times, so hopefully this doesn't do that :)

Do you know when/if the patch will be approved, and what releases of vl4 & the kernel, it will be included in, so it will work out of the box without applying the patch manually? I would assume it will be included in Mythbuntu 11.10, not that that would be your decision.

Gunni (fgunni) wrote :

Looks like the patch got into 3.0 so finally in oneiric (as it uses kernel 3.0 ) it should be fixed:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=2d1969312d6319d28ae9609a84f969b6933bd51c

Gunni (fgunni) wrote :

It was just the first time in the last 1,5 years, i booted my mythtv backend with a kernel i did not compile myself, and it works.

The patch of Devin is integrated in the oneiric 11.10 Kernel linux-image.3.0.0-7

Daniel (hackie) wrote :

I want to know if I am the only one with that problem. I am using the patch as described in comment #178. It worked ok for the first weeks, but now I sometimes have the problem that me-tv tells me: "There are no DVB devices available"

Patch was already included, I just checked the sources which I used for my last git-pull & compilation on Aug 22 (for 2.6.38-11-generic, x86_64). See attached dmesg for more details.

PS: If the device is found, locking works too, so maybe they introduced another bug?

Looking at the dmesg output Daniel provided, this issue appears to be completely unrelated to the bug in question. The dmesg shows a general initialization failure during system boot where the demodulator didn't respond to the i2c request in time. When the i2c request fails during the probe of the demod, it results in the DVB device nodes not being created.

I don't doubt that this is some sort of timing bug in board initialization, but it is completely separate from the bug in question and should probably have a new ticket opened.

Devin

TJ (tj) wrote :

This bug appears to be masking another related but independent problem with the same devices which causes the i2c on the tuner to fail resulting in the infra-read receiver not working:

tveeprom 1-0050: Huh, no eeprom present (err=-6)?
tveeprom 1-0050: Encountered bad packet header [00]. Corrupt or not a Hauppauge eeprom.
cx88[0]: warning: unknown hauppauge model #0
cx88[0]: hauppauge eeprom: model=0

I'm tracking the issue in LP bug #836062 "[media/video] cx88xx HVR-1300,HVR-3000, HVR-4000 tveeprom: Huh, no eeprom present"

Gunni (fgunni) on 2012-06-26
Changed in mythbuntu:
status: Triaged → Fix Released
Changed in debian:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.